List Multi-Link Invitees

Request

GET

https://api.sourcecraft.tech/orgs/{org_slug}/invite-multilinks/{link_slug}/invitees

Path parameters

Name

Description

link_slug

Type: string

Example: ``

org_slug

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of invitees to return. The service may return fewer than
this value.

Example: ``

page_token

Type: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "invitees": [
    {
      "email": "example",
      "user_id": "example"
    }
  ],
  "next_page_token": "example"
}

Name

Description

invitees

Type: MultiLinkInvitee[]

Example
[
  {
    "email": "example",
    "user_id": "example"
  }
]

next_page_token

Type: string

A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.

Example: example

MultiLinkInvitee

MultiLinkInvitee identifies a user allowed to accept a restricted multi-link.
Exactly one of the fields must be specified.

Name

Description

email

Type: string

Example: example

user_id

Type: string

Example: example

Example
{
  "email": "example",
  "user_id": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example